<?php

namespace App\Service\SnipContent;

interface SnipContentInterface
{
    public function update(string $snipContents): void;

    public function get(): string;

    /** @return array{id: string, name: string} */
    public function getVersions(): array;

    public function setVersion(string $version): void;

    public function getCommit(): string;

    public function getLatestVersion(): string;

    public function delete(): void;
}